Get Contact Profile Picture
curl --request GET \
--url https://api.example.com/api/v1/contacts/{contact_id}/profile-pictureimport requests
url = "https://api.example.com/api/v1/contacts/{contact_id}/profile-picture"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/contacts/{contact_id}/profile-picture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"url": "<string>",
"preview": true,
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"picture_id": "<string>",
"picture_type": "<string>",
"cached": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}contacts
Get Contact Profile Picture
Fetch contact profile picture metadata from object storage or WhatsApp.
GET
/
api
/
v1
/
contacts
/
{contact_id}
/
profile-picture
Get Contact Profile Picture
curl --request GET \
--url https://api.example.com/api/v1/contacts/{contact_id}/profile-pictureimport requests
url = "https://api.example.com/api/v1/contacts/{contact_id}/profile-picture"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/contacts/{contact_id}/profile-picture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"url": "<string>",
"preview": true,
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"picture_id": "<string>",
"picture_type": "<string>",
"cached": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Query Parameters
Connected WhatsApp account to use for the lookup. Defaults to the primary connected account.
Return thumbnail preview when true.
Response
Successful Response